Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderManagerPageRetriever

    java.lang.Object
      com.beasys.commerce.ebusiness.order.OrderManagerPageRetriever

All Implemented Interfaces
  ScrollableModelPageRetriever, Serializable

Deprecated

    @Deprecated
    public class OrderManagerPageRetriever

extends Object
implements ScrollableModelPageRetriever, Serializable

This file contains the implementation of a ScrollableModelPageRetriever, an object that gets order value objects based on a set of order primary keys.
Used in conjunction with ScrollableModel's, the two interfaces help manage requests for order value objects while keeping memory and db requests low, as in MMU systems.

See Also
  Serialized Form

Constructor Summary
`OrderManagerPageRetriever()` Deprecated

Method Summary
`Object[]` | `getValues(Object[] primaryKeys)` Deprecated This method implements the ScrollableModelPageRetriever getValues method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderManagerPageRetriever

    public OrderManagerPageRetriever()

  Deprecated

Method Detail

### getValues

    public Object[] getValues(Object[] primaryKeys)
                       throws RemoteException

  Deprecated
  This method implements the ScrollableModelPageRetriever getValues method. The expected array of objects are array of OrderPk's. It relies on this class' findByPK method to iterate over each primary key and construct the array of Order value object.

  Specified by:
    `getValues` in interface `ScrollableModelPageRetriever`
  Parameters
    `primaryKeys,` - an array of primary keys for order
  Returns
    the corresponding array of Order value objects
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.